Subject: Re: [PATCH] Add bare repository indicator for __git_ps1

From: "Shawn O. Pearce" <[email-masked]>
Date: Mon, 23 Feb 2009 07:42:37 -0800

Marius Storm-Olsen <[email-masked]> wrote:
> Junio C Hamano said the following on 21.02.2009 20:29:
>> Marius Storm-Olsen <[email-masked]> writes:
>>> Prefixes the branch name with "BARE:" if you're in a bare
>>> repository.
>
>> There may be a different workflow where you would stay in a bare  
>> repository for an extended period of time and you would benefit
>> from such a reminder like this patch adds, but I do not think of
>> one.
>
> Right, I have quite a few repos on my machine which are just bare, as I 
> use them gather branches and push out again.  
> (http://repo.or.cz/w/git/platforms.git is one of them) However, it's  
> probably just me, since I could just as easily put them in a proper  
> directory structure to indicate their bareness.
>
> Anyways, I just thought it would fairly "low cost" to add, and nice to  
> have.

Its not that low of a cost, its an extra fork+exec per prompt when in
a .git/ or a bare repository.  Neither is very common when compared
to a workdir, Junio's right about that.  But its YAFE.  ;)

> Consider it, as Linus coined the term, a throw-away patch. I can easily 
> put it in my .bashrc instead. :)

Like Junio, I'm not very compelled to include this patch.  I just
don't see enough to make including it worthwhile.

-- 
Shawn.